Name:           ovaldi
Version:        5.9.1
Release:        11%{?dist}
Summary:        Reference implementation of the OVAL interpreter

Group:          Applications/System
License:        BSD
URL:            http://oval.mitre.org/language/download/interpreter/index.html
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}-src.tar.bz2
Patch0:         ovaldi-5.9.1-rpm46.patch
Patch1:         ovaldi-5.9.1-build.patch
Patch2:         ovaldi-5.9.1-xerces.patch
Patch3:         ovaldi-5.9.1-optflags.patch
Patch4:         ovaldi-5.9.1-rpm49.patch
Patch5:         ovaldi-5.9.1-close-is-declared-in-unistd.h.patch

BuildRequires:  pcre-devel xerces-c-devel xalan-c-devel rpm-devel > 4.4
BuildRequires:  openldap-devel openssl-devel libgcrypt-devel
BuildRequires:  dos2unix

%description
The OVAL Interpreter is a freely available reference implementation created
to show how information can be collected from a computer for testing, to
evaluate and carry out the OVAL definitions for that platform, and to
report the results of the tests.


%prep
%setup -qn %{name}-%{version}-src
%patch0 -p1 -b .rpm46
%patch1 -p1 -b .build
%patch2 -p1 -b .xerces
%patch3 -p1 -b .optflags
%patch4 -p1 -b .rpm49
%patch5 -p1 -b .unistd
# Nuke non-utf8 character
sed 's/[^ ] USEFUL LINKS/- USEFUL LINKS/' -i docs/README.txt
# Convert CRLF
dos2unix -k -q docs/README.txt
dos2unix -k -q docs/version.txt
dos2unix -k -q docs/terms.txt


%build
mkdir -p project/linux/Release/obj
# %{?_smp_mflags} can not be used
make -C project/linux OPTFLAGS='%{optflags} -D_RPM_4_4_COMPAT'


%install
# Directory structure
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_datadir}/ovaldi
install -d $RPM_BUILD_ROOT%{_mandir}/man1

# Files
install -m 755 project/linux/Release/ovaldi $RPM_BUILD_ROOT%{_bindir}
install -m 644 docs/ovaldi.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 xml/* $RPM_BUILD_ROOT%{_datadir}/ovaldi

# For compatibility with Debian definitions, which hardcode
# schema paths
ln -sf . $RPM_BUILD_ROOT%{_datadir}/ovaldi/xml


%files
%{_bindir}/ovaldi
%{_datadir}/ovaldi
%{_mandir}/man1/ovaldi.1*
%doc docs/README.txt docs/terms.txt docs/version.txt


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.9.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.9.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 24 2014 Tomáš Mráz <tmraz@redhat.com> - 5.9.1-9
- Rebuild for new libgcrypt

* Mon Nov 04 2013 Lubomir Rintel <lkundrak@v3.sk> 5.9.1-8
- Rebuild for new xalan-c

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.9.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Jindrich Novy <jnovy@redhat.com> - 5.9.1-4
- rebuild against new librpm

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 5.9.1-3
- Rebuild against PCRE 8.30
- Include <unistd.h> due to close(2)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed May 11 2011 Tom Callaway <spot@fedoraproject.org> - 5.9.1-1
- update to 5.9.1
- add patch to allow optflags override without losing include dirs
- add patch to build against rpm 4.9

* Thu Mar 10 2011 Kalev Lember <kalev@smartlink.ee> - 5.6.4-3
- Rebuilt with xerces-c 3.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 05 2010 Lubomir Rintel <lkundrak@v3.sk> 5.6.4-1
- Rebase to later upstream release

* Fri Dec 11 2009 Lubomir Rintel <lkundrak@v3.sk> 5.5.25-2
- Rebuild for RPM 4.8.0

* Mon Sep 07 2009 Lubomir Rintel <lkundrak@v3.sk> 5.5.25-1
- New upstream relase

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 06 2009 Jesse Keating <jkeating@redhat.com> - 5.5.4-3
- Rebuild for new rpm

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 12 2008 Lubomir Rintel <lkundrak@v3.sk> 5.5.4-1
- New upstream build

* Wed Oct 1 2008 Lubomir Rintel <lkundrak@v3.sk> 5.5.3-1
- New upstream release

* Sun Jul 13 2008 Lubomir Rintel <lkundrak@v3.sk> 5.4.2-2
- Adjust for newer librpm

* Mon Apr 21 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.4.2-1
- New upstream release, all patches got merged
- Add /usr/share/ovaldi/xml symlink, to be compatible with Debian

* Mon Feb 11 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-6
- Rebuild for newer xerces-c

* Thu Jan 24 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-5
- Make the patch actually apply

* Thu Jan 24 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-4
- Fix handling of epochs

* Thu Jan 17 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-3
- Basically a new upstream release with the same version number

* Thu Jan 03 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-2
- Adding missing includes to fix build with gcc-4.3

* Mon Nov 19 2007 Lubomir Kundrak <lkundrak@redhat.com> 5.3-1
- Initial package
